Subject: RE: [mpls] Is it possible to create FEC with multiple/disparate prefixes ?

From: "Dutta, Pranjal" <[email-masked]>
Date: Thu, 12 May 2005 08:48:56 +0530

Thank you very much...even I was thinking if aggregation could be done
then the signaling should follow the DoD model. Why aggregation came to
my mind is that although aggregation leads to loss of granularity, in
ingress LSR if Label space is exhausted(means almost all labels are used
already) it's good to have some capability to aggregate some FECs to a
"Master FEC" on the precondition that all aggregated FECs followed the
same path before.
And loss of granularity might not harm much in the core where label
exhaustion might be possible. Please correct me if I have missed some
major point in my assumptions.

Thanks,
Pranjal

-----Original Message-----
From: James R. Leu [mailto:[email-masked]] 
Sent: Thursday, 12 May, 2005 8:02 AM
To: Dutta, Pranjal
Cc: [email-masked]
Subject: Re: [mpls] Is it possible to create FEC with multiple/disparate
prefixes ?

I published a draft back in 2000 that described a technique for
accomplishing
something similar to what you're asking for.  It only worked for the LDP
DoD
case though.

Google for draft-leu-mpls-ldp-label-aggregation-00

On Wed, May 11, 2005 at 03:53:41PM +0530, Dutta, Pranjal wrote:
> Hi All,
> 
>                  I would like to know if it is possible to create a
> single FEC for Multiple Prefixes in the routing table and distribute
> across the domain through LDP (preferably for Down Stream Unsolicited
> Mode). One case would be when multiple prefixes that can't be
> aggregated/super netted (by the egress) follow the same path from
> ingress LSR to the egress LSR. Will it be same as FEC aggregation? If
it
> is possible then how ingress LSR will know that all such disparate
> prefixes follows the same path till egress and accordingly classifies
> all of them into the same LSP.
> 
>  
> 
>  
> 
> Thanks in advance,
> 
>  
> 
> Pranjal
> 

> _______________________________________________
> mpls mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/mpls

-- 
James R. Leu
[email-masked]

_______________________________________________
mpls mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mpls